declare const index: {
    env: {
        amd: boolean;
        browser: boolean;
        es6: boolean;
        jasmine: boolean;
        mocha: boolean;
        node: boolean;
    };
    parserOptions: {
        ecmaVersion: string;
        sourceType: string;
    };
    plugins: string[];
    rules: {
        'security/detect-bidi-characters': string;
        'security/detect-buffer-noassert': string;
        'security/detect-child-process': string;
        'security/detect-disable-mustache-escape': string;
        'security/detect-eval-with-expression': string;
        'security/detect-new-buffer': string;
        'security/detect-no-csrf-before-method-override': string;
        'security/detect-non-literal-regexp': string;
        'security/detect-non-literal-require': string;
        'security/detect-possible-timing-attacks': string;
        'security/detect-pseudoRandomBytes': string;
        'security/detect-unsafe-regex': string;
        'promise/always-return': string;
        'promise/avoid-new': string;
        'promise/catch-or-return': string;
        'promise/no-callback-in-promise': string;
        'promise/no-native': string;
        'promise/no-nesting': string;
        'promise/no-new-statics': string;
        'promise/no-promise-in-callback': string;
        'promise/no-return-in-finally': string;
        'promise/no-return-wrap': string;
        'promise/param-names': string;
        'promise/valid-params': string;
        'perfectionist/sort-array-includes': (string | {
            'ignore-case': boolean;
            type: string;
        })[];
        'perfectionist/sort-classes': (string | {
            groups: string[];
            order: string;
            type: string;
        })[];
        'perfectionist/sort-enums': (string | {
            'ignore-case': boolean;
            type: string;
        })[];
        'perfectionist/sort-exports': (string | {
            order: string;
            type: string;
        })[];
        'perfectionist/sort-imports': (string | {
            groups: string[];
            'newlines-between': string;
            order: string;
            type: string;
        })[];
        'perfectionist/sort-interfaces': (string | {
            'ignore-case': boolean;
            type: string;
        })[];
        'perfectionist/sort-jsx-props': (string | {
            'ignore-case': boolean;
            type: string;
        })[];
        'perfectionist/sort-maps': (string | {
            'ignore-case': boolean;
            type: string;
        })[];
        'perfectionist/sort-named-exports': (string | {
            order: string;
            type: string;
        })[];
        'perfectionist/sort-named-imports': (string | {
            order: string;
            type: string;
        })[];
        'perfectionist/sort-object-types': (string | {
            'ignore-case': boolean;
            type: string;
        })[];
        'perfectionist/sort-objects': (string | {
            'ignore-case': boolean;
            type: string;
        })[];
        'perfectionist/sort-union-types': (string | {
            order: string;
            type: string;
        })[];
        'sonarjs/no-duplicate-string': string;
        'sonarjs/cognitive-complexity': (string | number)[];
        'sonarjs/elseif-without-else': string;
        'sonarjs/max-switch-cases': string;
        'sonarjs/no-all-duplicated-branches': string;
        'sonarjs/no-collapsible-if': string;
        'sonarjs/no-collection-size-mischeck': string;
        'sonarjs/no-duplicated-branches': string;
        'sonarjs/no-element-overwrite': string;
        'sonarjs/no-empty-collection': string;
        'sonarjs/no-extra-arguments': string;
        'sonarjs/no-gratuitous-expressions': string;
        'sonarjs/no-identical-conditions': string;
        'sonarjs/no-identical-expressions': string;
        'sonarjs/no-identical-functions': string;
        'sonarjs/no-ignored-return': string;
        'sonarjs/no-inverted-boolean-check': string;
        'sonarjs/no-nested-switch': string;
        'sonarjs/no-nested-template-literals': string;
        'sonarjs/no-one-iteration-loop': string;
        'sonarjs/no-redundant-boolean': string;
        'sonarjs/no-redundant-jump': string;
        'sonarjs/no-same-line-conditional': string;
        'sonarjs/no-small-switch': string;
        'sonarjs/no-unused-collection': string;
        'sonarjs/no-use-of-empty-return-value': string;
        'sonarjs/no-useless-catch': string;
        'sonarjs/non-existent-operator': string;
        'sonarjs/prefer-immediate-return': string;
        'sonarjs/prefer-object-literal': string;
        'sonarjs/prefer-single-boolean-return': string;
        'sonarjs/prefer-while': string;
        'unicorn/better-regex': string;
        'unicorn/catch-error-name': string;
        'unicorn/consistent-destructuring': string;
        'unicorn/consistent-function-scoping': string;
        'unicorn/custom-error-definition': string;
        'unicorn/empty-brace-spaces': string;
        'unicorn/error-message': string;
        'unicorn/escape-case': string;
        'unicorn/explicit-length-check': string;
        'unicorn/filename-case': (string | {
            cases: {
                camelCase: boolean;
                kebabCase: boolean;
                pascalCase: boolean;
                snakeCase: boolean;
            };
        })[];
        'unicorn/import-style': string;
        'unicorn/new-for-builtins': string;
        'unicorn/no-abusive-eslint-disable': string;
        'unicorn/no-array-callback-reference': string;
        'unicorn/no-array-method-this-argument': string;
        'unicorn/no-array-push-push': string;
        'unicorn/no-await-expression-member': string;
        'unicorn/no-console-spaces': string;
        'unicorn/no-document-cookie': string;
        'unicorn/no-empty-file': string;
        'unicorn/no-for-loop': string;
        'unicorn/no-hex-escape': string;
        'unicorn/no-instanceof-array': string;
        'unicorn/no-invalid-remove-event-listener': string;
        'unicorn/no-lonely-if': string;
        'unicorn/no-negated-condition': string;
        'unicorn/no-nested-ternary': string;
        'unicorn/no-new-array': string;
        'unicorn/no-new-buffer': string;
        'unicorn/no-null': string;
        'unicorn/no-object-as-default-parameter': string;
        'unicorn/no-process-exit': string;
        'unicorn/no-static-only-class': string;
        'unicorn/no-thenable': string;
        'unicorn/no-this-assignment': string;
        'unicorn/no-typeof-undefined': string;
        'unicorn/no-unnecessary-await': string;
        'unicorn/no-unreadable-array-destructuring': string;
        'unicorn/no-unreadable-iife': string;
        'unicorn/no-unused-properties': string;
        'unicorn/no-useless-fallback-in-spread': string;
        'unicorn/no-useless-length-check': string;
        'unicorn/no-useless-promise-resolve-reject': string;
        'unicorn/no-useless-spread': string;
        'unicorn/no-useless-switch-case': string;
        'unicorn/no-useless-undefined': string;
        'unicorn/no-zero-fractions': string;
        'unicorn/number-literal-case': string;
        'unicorn/numeric-separators-style': string;
        'unicorn/prefer-add-event-listener': string;
        'unicorn/prefer-array-find': (string | {
            checkFromLast: boolean;
        })[];
        'unicorn/prefer-array-flat-map': string;
        'unicorn/prefer-array-index-of': string;
        'unicorn/prefer-array-some': string;
        'unicorn/prefer-at': string;
        'unicorn/prefer-blob-reading-methods': string;
        'unicorn/prefer-code-point': string;
        'unicorn/prefer-date-now': string;
        'unicorn/prefer-default-parameters': string;
        'unicorn/prefer-dom-node-append': string;
        'unicorn/prefer-dom-node-dataset': string;
        'unicorn/prefer-dom-node-remove': string;
        'unicorn/prefer-dom-node-text-content': string;
        'unicorn/prefer-event-target': string;
        'unicorn/prefer-export-from': (string | {
            ignoreUsedVariables: boolean;
        })[];
        'unicorn/prefer-includes': string;
        'unicorn/prefer-json-parse-buffer': string;
        'unicorn/prefer-keyboard-event-key': string;
        'unicorn/prefer-logical-operator-over-ternary': string;
        'unicorn/prefer-math-trunc': string;
        'unicorn/prefer-modern-dom-apis': string;
        'unicorn/prefer-modern-math-apis': string;
        'unicorn/prefer-native-coercion-functions': string;
        'unicorn/prefer-negative-index': string;
        'unicorn/prefer-node-protocol': string;
        'unicorn/prefer-number-properties': string;
        'unicorn/prefer-object-from-entries': (string | {
            functions: string[];
        })[];
        'unicorn/prefer-optional-catch-binding': string;
        'unicorn/prefer-prototype-methods': string;
        'unicorn/prefer-query-selector': string;
        'unicorn/prefer-reflect-apply': string;
        'unicorn/prefer-regexp-test': string;
        'unicorn/prefer-set-size': string;
        'unicorn/prefer-spread': string;
        'unicorn/prefer-string-replace-all': string;
        'unicorn/prefer-string-slice': string;
        'unicorn/prefer-string-starts-ends-with': string;
        'unicorn/prefer-string-trim-start-end': string;
        'unicorn/prefer-switch': string;
        'unicorn/prefer-ternary': string;
        'unicorn/prefer-top-level-await': string;
        'unicorn/prefer-type-error': string;
        'unicorn/prevent-abbreviations': (string | {
            allowList: {
                args: boolean;
                ctx: boolean;
                props: boolean;
                Props: boolean;
                req: boolean;
                res: boolean;
            };
            checkShorthandProperties: boolean;
            ignore: string[];
        })[];
        'unicorn/relative-url-style': string;
        'unicorn/require-array-join-separator': string;
        'unicorn/require-number-to-fixed-digits-argument': string;
        'unicorn/require-post-message-target-origin': string;
        'unicorn/string-content': string;
        'unicorn/switch-case-braces': string;
        'unicorn/template-indent': string;
        'unicorn/text-encoding-identifier-case': string;
        'unicorn/throw-new-error': string;
        'unicorn/expiring-todo-comments': string;
        'unicorn/no-array-for-each': string;
        'unicorn/no-array-reduce': string;
        'unicorn/no-keyword-prefix': string;
        'unicorn/prefer-module': string;
        'unicorn/prefer-set-has': string;
        'import/consistent-type-specifier-style': string[];
        'import/default': string;
        'import/export': string;
        'import/exports-last': string;
        'import/first': string;
        'import/named': (string | {
            commonjs: boolean;
        })[];
        'import/namespace': string;
        'import/newline-after-import': string;
        'import/no-absolute-path': string;
        'import/no-amd': string;
        'import/no-anonymous-default-export': (string | {
            allowCallExpression: boolean;
        })[];
        'import/no-cycle': (string | {
            commonjs: boolean;
        })[];
        'import/no-deprecated': string;
        'import/no-duplicates': string;
        'import/no-empty-named-blocks': string;
        'import/no-extraneous-dependencies': (string | {
            bundledDependencies: boolean;
            devDependencies: string[];
            includeTypes: boolean;
            optionalDependencies: boolean;
            peerDependencies: boolean;
        })[];
        'import/no-import-module-exports': (string | {
            exceptions: never[];
        })[];
        'import/no-mutable-exports': string;
        'import/no-named-as-default': string;
        'import/no-named-as-default-member': string;
        'import/no-named-default': string;
        'import/no-namespace': string;
        'import/no-relative-packages': string;
        'import/no-self-import': string;
        'import/no-unresolved': (string | {
            caseSensitive: boolean;
            commonjs: boolean;
        })[];
        'import/no-useless-path-segments': (string | {
            commonjs: boolean;
        })[];
        'import/no-webpack-loader-syntax': string;
        'import/dynamic-import-chunkname': string;
        'import/group-exports': string;
        'import/max-dependencies': string;
        'import/no-commonjs': string;
        'import/no-default-export': string;
        'import/no-dynamic-require': (string | {
            esmodule: boolean;
        })[];
        'import/no-internal-modules': string;
        'import/no-named-export': string;
        'import/no-nodejs-modules': string;
        'import/no-relative-parent-imports': string;
        'import/no-restricted-paths': string;
        'import/no-unassigned-import': string;
        'import/no-unused-modules': string;
        'import/order': string;
        'import/prefer-default-export': string;
        'import/unambiguous': string;
        'block-scoped-var': string;
        'one-var': string[];
        'one-var-declaration-per-line': string[];
        'require-atomic-updates': (string | {
            allowProperties: boolean;
        })[];
        'vars-on-top': string;
        'accessor-pairs': string;
        'array-callback-return': (string | {
            allowImplicit: boolean;
        })[];
        'class-methods-use-this': (string | {
            exceptMethods: string[];
        })[];
        complexity: (string | number)[];
        'consistent-return': string;
        'consistent-this': string;
        'default-case': string;
        'default-case-last': string;
        'default-param-last': string;
        eqeqeq: string[];
        'func-name-matching': (string | {
            considerPropertyDescriptor: boolean;
        })[];
        'grouped-accessor-pairs': string;
        'guard-for-in': string;
        'id-length': (string | {
            min: number;
        })[];
        'init-declarations': string;
        'logical-assignment-operators': (string | {
            enforceForIfStatements: boolean;
        })[];
        'max-classes-per-file': (string | number)[];
        'max-depth': (string | number)[];
        'max-lines': (string | {
            max: number;
            skipBlankLines: boolean;
            skipComments: boolean;
        })[];
        'max-nested-callbacks': (string | {
            max: number;
        })[];
        'max-params': (string | number)[];
        'max-statements': (string | number)[];
        'object-shorthand': (string | {
            avoidQuotes: boolean;
            ignoreConstructors: boolean;
        })[];
        'operator-assignment': string[];
        'prefer-arrow-callback': (string | {
            allowNamedFunctions: boolean;
            allowUnboundThis: boolean;
        })[];
        'prefer-const': (string | {
            destructuring: string;
            ignoreReadBeforeAssign: boolean;
        })[];
        'prefer-destructuring': (string | {
            AssignmentExpression: {
                array: boolean;
                object: boolean;
            };
            VariableDeclarator: {
                array: boolean;
                object: boolean;
            };
            enforceForRenamedProperties?: undefined;
        } | {
            enforceForRenamedProperties: boolean;
            AssignmentExpression?: undefined;
            VariableDeclarator?: undefined;
        })[];
        'prefer-exponentiation-operator': string;
        'prefer-numeric-literals': string;
        'prefer-object-has-own': string;
        'prefer-object-spread': string;
        'prefer-promise-reject-errors': (string | {
            allowEmptyReject: boolean;
        })[];
        'prefer-regex-literals': (string | {
            disallowRedundantWrapping: boolean;
        })[];
        'prefer-rest-params': string;
        'prefer-spread': string;
        'prefer-template': string;
        radix: string;
        'require-await': string;
        'require-unicode-regexp': string;
        'require-yield': string;
        'symbol-description': string;
        'use-isnan': string;
        'valid-typeof': (string | {
            requireStringLiterals: boolean;
        })[];
        yoda: string;
        strict: string[];
        'constructor-super': string;
        'for-direction': string;
        'getter-return': (string | {
            allowImplicit: boolean;
        })[];
        'no-alert': string;
        'no-array-constructor': string;
        'no-async-promise-executor': string;
        'no-await-in-loop': string;
        'no-bitwise': string;
        'no-caller': string;
        'no-case-declarations': string;
        'no-class-assign': string;
        'no-compare-neg-zero': string;
        'no-cond-assign': string[];
        'no-confusing-arrow': (string | {
            allowParens: boolean;
        })[];
        'no-console': string;
        'no-constant-binary-expression': string;
        'no-constant-condition': string;
        'no-constructor-return': string;
        'no-continue': string;
        'no-control-regex': string;
        'no-debugger': string;
        'no-delete-var': string;
        'no-div-regex': string;
        'no-dupe-args': string;
        'no-dupe-class-members': string;
        'no-dupe-else-if': string;
        'no-dupe-keys': string;
        'no-duplicate-case': string;
        'no-duplicate-imports': string;
        'no-else-return': (string | {
            allowElseIf: boolean;
        })[];
        'no-empty': string;
        'no-empty-character-class': string;
        'no-empty-function': string;
        'no-empty-pattern': string;
        'no-empty-static-block': string;
        'no-eq-null': string;
        'no-eval': string;
        'no-ex-assign': string;
        'no-extend-native': string;
        'no-extra-bind': string;
        'no-extra-boolean-cast': string;
        'no-extra-label': string;
        'no-extra-semi': string;
        'no-fallthrough': string;
        'no-floating-decimal': string;
        'no-func-assign': string;
        'no-global-assign': string;
        'no-implicit-coercion': string;
        'no-implicit-globals': (string | {
            lexicalBindings: boolean;
        })[];
        'no-implied-eval': string;
        'no-import-assign': string;
        'no-inline-comments': string;
        'no-inner-declarations': string;
        'no-invalid-regexp': string;
        'no-invalid-this': string;
        'no-irregular-whitespace': string;
        'no-iterator': string;
        'no-label-var': string;
        'no-labels': string;
        'no-lone-blocks': string;
        'no-lonely-if': string;
        'no-loop-func': string;
        'no-loss-of-precision': string;
        'no-magic-numbers': (string | {
            detectObjects: boolean;
            enforceConst: boolean;
            ignore: number[];
            ignoreArrayIndexes: boolean;
            ignoreClassFieldInitialValues: boolean;
            ignoreDefaultValues: boolean;
        })[];
        'no-misleading-character-class': string;
        'no-mixed-operators': (string | {
            allowSamePrecedence: boolean;
            groups: string[][];
        })[];
        'no-multi-assign': string;
        'no-multi-str': string;
        'no-negated-condition': string;
        'no-nested-ternary': string;
        'no-new': string;
        'no-new-func': string;
        'no-new-native-nonconstructor': string;
        'no-new-object': string;
        'no-new-symbol': string;
        'no-new-wrappers': string;
        'no-nonoctal-decimal-escape': string;
        'no-obj-calls': string;
        'no-octal': string;
        'no-octal-escape': string;
        'no-param-reassign': (string | {
            ignorePropertyModificationsFor: string[];
            props: boolean;
        })[];
        'no-plusplus': string;
        'no-promise-executor-return': string;
        'no-proto': string;
        'no-prototype-builtins': string;
        'no-redeclare': string;
        'no-regex-spaces': string;
        'no-restricted-globals': (string | {
            message: string;
            name: string;
        })[];
        'no-restricted-imports': string;
        'no-restricted-properties': (string | {
            message: string;
            object: string;
            property: string;
        } | {
            message: string;
            property: string;
            object?: undefined;
        })[];
        'no-restricted-syntax': (string | {
            message: string;
            selector: string;
        })[];
        'no-return-assign': string[];
        'no-return-await': string;
        'no-script-url': string;
        'no-self-assign': string;
        'no-self-compare': string;
        'no-sequences': string;
        'no-setter-return': string;
        'no-shadow': string;
        'no-shadow-restricted-names': string;
        'no-sparse-arrays': string;
        'no-template-curly-in-string': string;
        'no-this-before-super': string;
        'no-throw-literal': string;
        'no-undef': string;
        'no-undef-init': string;
        'no-underscore-dangle': (string | {
            allow: never[];
            allowAfterSuper: boolean;
            allowAfterThis: boolean;
            enforceInMethodNames: boolean;
        })[];
        'no-unexpected-multiline': string;
        'no-unmodified-loop-condition': string;
        'no-unneeded-ternary': (string | {
            defaultAssignment: boolean;
        })[];
        'no-unreachable': string;
        'no-unreachable-loop': (string | {
            ignore: never[];
        })[];
        'no-unsafe-finally': string;
        'no-unsafe-negation': string;
        'no-unsafe-optional-chaining': (string | {
            disallowArithmeticOperators: boolean;
        })[];
        'no-unused-expressions': (string | {
            allowShortCircuit: boolean;
            allowTaggedTemplates: boolean;
            allowTernary: boolean;
        })[];
        'no-unused-labels': string;
        'no-unused-private-class-members': string;
        'no-unused-vars': (string | {
            argsIgnorePattern: string;
        })[];
        'no-use-before-define': (string | {
            classes: boolean;
            functions: boolean;
            variables: boolean;
        })[];
        'no-useless-backreference': string;
        'no-useless-call': string;
        'no-useless-catch': string;
        'no-useless-computed-key': string;
        'no-useless-concat': string;
        'no-useless-constructor': string;
        'no-useless-escape': string;
        'no-useless-rename': (string | {
            ignoreDestructuring: boolean;
            ignoreExport: boolean;
            ignoreImport: boolean;
        })[];
        'no-useless-return': string;
        'no-var': string;
        'no-void': string;
        'no-warning-comments': string;
        'no-with': string;
        'array-bracket-newline': string[];
        'array-bracket-spacing': string[];
        'array-element-newline': (string | {
            minItems: number;
            multiline: boolean;
        })[];
        'arrow-body-style': (string | {
            requireReturnForObjectLiteral: boolean;
        })[];
        'arrow-parens': string[];
        'arrow-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        'block-spacing': string[];
        'brace-style': string[];
        camelcase: (string | {
            ignoreDestructuring: boolean;
            properties: string;
        })[];
        'comma-dangle': string[];
        'comma-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        'comma-style': string[];
        'computed-property-spacing': string[];
        curly: string[];
        'dot-location': string[];
        'dot-notation': string;
        'eol-last': string[];
        'func-call-spacing': string[];
        'func-style': string[];
        'function-call-argument-newline': string[];
        'function-paren-newline': string[];
        'generator-star-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        'implicit-arrow-linebreak': string[];
        indent: (string | number | {
            SwitchCase: number;
        })[];
        'jsx-quotes': string[];
        'key-spacing': (string | {
            afterColon: boolean;
            mode: string;
        })[];
        'keyword-spacing': (string | {
            overrides: {
                case: {
                    after: boolean;
                };
                if: {
                    after: boolean;
                    before: boolean;
                };
                return: {
                    after: boolean;
                };
                throw: {
                    after: boolean;
                };
            };
        })[];
        'line-comment-position': (string | {
            applyDefaultPatterns: boolean;
            position: string;
        })[];
        'linebreak-style': string[];
        'lines-around-comment': (string | {
            afterBlockComment: boolean;
            beforeBlockComment: boolean;
        })[];
        'lines-between-class-members': string[];
        'max-len': (string | number | {
            ignoreComments: boolean;
            ignoreRegExpLiterals: boolean;
            ignoreStrings: boolean;
            ignoreTemplateLiterals: boolean;
            ignoreUrls: boolean;
        })[];
        'max-statements-per-line': (string | {
            max: number;
        })[];
        'multiline-comment-style': string[];
        'multiline-ternary': string[];
        'new-cap': (string | {
            capIsNew: boolean;
            capIsNewExceptions: string[];
            newIsCap: boolean;
            newIsCapExceptions: never[];
        })[];
        'new-parens': string;
        'newline-per-chained-call': (string | {
            ignoreChainWithDepth: number;
        })[];
        'no-extra-parens': (string | {
            conditionalAssign: boolean;
            ignoreJSX: string;
        })[];
        'no-mixed-spaces-and-tabs': string;
        'no-multi-spaces': string;
        'no-multiple-empty-lines': (string | {
            max: number;
            maxBOF: number;
            maxEOF: number;
        })[];
        'no-tabs': string;
        'no-trailing-spaces': (string | {
            ignoreComments: boolean;
            skipBlankLines: boolean;
        })[];
        'no-whitespace-before-property': string;
        'nonblock-statement-body-position': string[];
        'object-curly-newline': (string | {
            ExportDeclaration: {
                consistent: boolean;
                minProperties: number;
                multiline: boolean;
            };
            ImportDeclaration: {
                consistent: boolean;
                minProperties: number;
                multiline: boolean;
            };
            ObjectExpression: {
                consistent: boolean;
                minProperties: number;
                multiline: boolean;
            };
            ObjectPattern: {
                consistent: boolean;
                minProperties: number;
                multiline: boolean;
            };
        })[];
        'object-curly-spacing': string[];
        'object-property-newline': (string | {
            allowAllPropertiesOnSameLine: boolean;
        })[];
        'operator-linebreak': string[];
        'padded-blocks': (string | {
            blocks: string;
            classes: string;
            switches: string;
            allowSingleLineBlocks?: undefined;
        } | {
            allowSingleLineBlocks: boolean;
            blocks?: undefined;
            classes?: undefined;
            switches?: undefined;
        })[];
        'padding-line-between-statements': (string | {
            blankLine: string;
            next: string;
            prev: string[];
        } | {
            blankLine: string;
            next: string[];
            prev: string[];
        })[];
        'quote-props': (string | {
            keywords: boolean;
            numbers: boolean;
            unnecessary: boolean;
        })[];
        quotes: string[];
        'rest-spread-spacing': string[];
        semi: string[];
        'semi-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        'semi-style': string[];
        'space-before-blocks': string;
        'space-before-function-paren': (string | {
            anonymous: string;
            asyncArrow: string;
            named: string;
        })[];
        'space-in-parens': string[];
        'space-infix-ops': string;
        'space-unary-ops': (string | {
            nonwords: boolean;
            words: boolean;
        })[];
        'spaced-comment': string[];
        'switch-colon-spacing': string;
        'template-curly-spacing': string;
        'template-tag-spacing': string[];
        'unicode-bom': string[];
        'wrap-iife': (string | {
            functionPrototypeMethods: boolean;
        })[];
        'wrap-regex': string;
        'yield-star-spacing': string[];
        'capitalized-comments': string;
        'id-denylist': string;
        'id-match': string;
        'max-lines-per-function': (string | {
            IIFEs: boolean;
            max: number;
            skipBlankLines: boolean;
            skipComments: boolean;
        })[];
        'no-ternary': string;
        'no-undefined': string;
        'sort-imports': string;
        'sort-keys': string;
        'sort-vars': string;
    };
    settings: {
        'import/core-modules': never[];
        'import/extensions': string[];
        'import/ignore': string[];
        'import/resolver': {
            node: {
                extensions: string[];
            };
        };
    };
};
export = index;
