"use strict";
const eslint_1 = require("./module/eslint/eslint");
const import_1 = require("./module/import/import");
const perfectionist_1 = require("./module/perfectionist/perfectionist");
const promise_1 = require("./module/promise/promise");
const security_1 = require("./module/security/security");
const sonar_1 = require("./module/sonar/sonar");
const unicorn_1 = require("./module/unicorn/unicorn");
const index = {
    env: {
        amd: false,
        browser: true,
        es6: true,
        jasmine: false,
        mocha: false,
        node: true
    },
    parserOptions: {
        ecmaVersion: 'latest',
        sourceType: 'module'
    },
    plugins: [
        ...import_1.eslintImport.plugins,
        ...unicorn_1.unicorn.plugins,
        ...sonar_1.sonar.plugins,
        ...perfectionist_1.perfectionist.plugins,
        ...promise_1.promise.plugins,
        ...security_1.security.plugins
    ],
    rules: {
        ...eslint_1.eslint.rules,
        ...import_1.eslintImport.rules,
        ...unicorn_1.unicorn.rules,
        ...sonar_1.sonar.rules,
        ...perfectionist_1.perfectionist.rules,
        ...promise_1.promise.rules,
        ...security_1.security.rules
    },
    settings: {
        ...import_1.eslintImport.settings
    }
};
module.exports = index;
//# sourceMappingURL=index.js.map