declare const error: {
    'constructor-super': string;
    'for-direction': string;
    'getter-return': (string | {
        allowImplicit: boolean;
    })[];
    'no-alert': string;
    'no-array-constructor': string;
    'no-async-promise-executor': string;
    'no-await-in-loop': string;
    'no-bitwise': string;
    'no-caller': string;
    'no-case-declarations': string;
    'no-class-assign': string;
    'no-compare-neg-zero': string;
    'no-cond-assign': string[];
    'no-confusing-arrow': (string | {
        allowParens: boolean;
    })[];
    'no-console': string;
    'no-constant-binary-expression': string;
    'no-constant-condition': string;
    'no-constructor-return': string;
    'no-continue': string;
    'no-control-regex': string;
    'no-debugger': string;
    'no-delete-var': string;
    'no-div-regex': string;
    'no-dupe-args': string;
    'no-dupe-class-members': string;
    'no-dupe-else-if': string;
    'no-dupe-keys': string;
    'no-duplicate-case': string;
    'no-duplicate-imports': string;
    'no-else-return': (string | {
        allowElseIf: boolean;
    })[];
    'no-empty': string;
    'no-empty-character-class': string;
    'no-empty-function': string;
    'no-empty-pattern': string;
    'no-empty-static-block': string;
    'no-eq-null': string;
    'no-eval': string;
    'no-ex-assign': string;
    'no-extend-native': string;
    'no-extra-bind': string;
    'no-extra-boolean-cast': string;
    'no-extra-label': string;
    'no-extra-semi': string;
    'no-fallthrough': string;
    'no-floating-decimal': string;
    'no-func-assign': string;
    'no-global-assign': string;
    'no-implicit-coercion': string;
    'no-implicit-globals': (string | {
        lexicalBindings: boolean;
    })[];
    'no-implied-eval': string;
    'no-import-assign': string;
    'no-inline-comments': string;
    'no-inner-declarations': string;
    'no-invalid-regexp': string;
    'no-invalid-this': string;
    'no-irregular-whitespace': string;
    'no-iterator': string;
    'no-label-var': string;
    'no-labels': string;
    'no-lone-blocks': string;
    'no-lonely-if': string;
    'no-loop-func': string;
    'no-loss-of-precision': string;
    'no-magic-numbers': (string | {
        detectObjects: boolean;
        enforceConst: boolean;
        ignore: number[];
        ignoreArrayIndexes: boolean;
        ignoreClassFieldInitialValues: boolean;
        ignoreDefaultValues: boolean;
    })[];
    'no-misleading-character-class': string;
    'no-mixed-operators': (string | {
        allowSamePrecedence: boolean;
        groups: string[][];
    })[];
    'no-multi-assign': string;
    'no-multi-str': string;
    'no-negated-condition': string;
    'no-nested-ternary': string;
    'no-new': string;
    'no-new-func': string;
    'no-new-native-nonconstructor': string;
    'no-new-object': string;
    'no-new-symbol': string;
    'no-new-wrappers': string;
    'no-nonoctal-decimal-escape': string;
    'no-obj-calls': string;
    'no-octal': string;
    'no-octal-escape': string;
    'no-param-reassign': (string | {
        ignorePropertyModificationsFor: string[];
        props: boolean;
    })[];
    'no-plusplus': string;
    'no-promise-executor-return': string;
    'no-proto': string;
    'no-prototype-builtins': string;
    'no-redeclare': string;
    'no-regex-spaces': string;
    'no-restricted-globals': (string | {
        message: string;
        name: string;
    })[];
    'no-restricted-imports': string;
    'no-restricted-properties': (string | {
        message: string;
        object: string;
        property: string;
    } | {
        message: string;
        property: string;
        object?: undefined;
    })[];
    'no-restricted-syntax': (string | {
        message: string;
        selector: string;
    })[];
    'no-return-assign': string[];
    'no-return-await': string;
    'no-script-url': string;
    'no-self-assign': string;
    'no-self-compare': string;
    'no-sequences': string;
    'no-setter-return': string;
    'no-shadow': string;
    'no-shadow-restricted-names': string;
    'no-sparse-arrays': string;
    'no-template-curly-in-string': string;
    'no-this-before-super': string;
    'no-throw-literal': string;
    'no-undef': string;
    'no-undef-init': string;
    'no-underscore-dangle': (string | {
        allow: never[];
        allowAfterSuper: boolean;
        allowAfterThis: boolean;
        enforceInMethodNames: boolean;
    })[];
    'no-unexpected-multiline': string;
    'no-unmodified-loop-condition': string;
    'no-unneeded-ternary': (string | {
        defaultAssignment: boolean;
    })[];
    'no-unreachable': string;
    'no-unreachable-loop': (string | {
        ignore: never[];
    })[];
    'no-unsafe-finally': string;
    'no-unsafe-negation': string;
    'no-unsafe-optional-chaining': (string | {
        disallowArithmeticOperators: boolean;
    })[];
    'no-unused-expressions': (string | {
        allowShortCircuit: boolean;
        allowTaggedTemplates: boolean;
        allowTernary: boolean;
    })[];
    'no-unused-labels': string;
    'no-unused-private-class-members': string;
    'no-unused-vars': (string | {
        argsIgnorePattern: string;
    })[];
    'no-use-before-define': (string | {
        classes: boolean;
        functions: boolean;
        variables: boolean;
    })[];
    'no-useless-backreference': string;
    'no-useless-call': string;
    'no-useless-catch': string;
    'no-useless-computed-key': string;
    'no-useless-concat': string;
    'no-useless-constructor': string;
    'no-useless-escape': string;
    'no-useless-rename': (string | {
        ignoreDestructuring: boolean;
        ignoreExport: boolean;
        ignoreImport: boolean;
    })[];
    'no-useless-return': string;
    'no-var': string;
    'no-void': string;
    'no-warning-comments': string;
    'no-with': string;
};
export { error };
