declare const unicornGeneralRule: {
    'unicorn/better-regex': string;
    'unicorn/catch-error-name': string;
    'unicorn/consistent-destructuring': string;
    'unicorn/consistent-function-scoping': string;
    'unicorn/custom-error-definition': string;
    'unicorn/empty-brace-spaces': string;
    'unicorn/error-message': string;
    'unicorn/escape-case': string;
    'unicorn/explicit-length-check': string;
    'unicorn/filename-case': (string | {
        cases: {
            camelCase: boolean;
            kebabCase: boolean;
            pascalCase: boolean;
            snakeCase: boolean;
        };
    })[];
    'unicorn/import-style': string;
    'unicorn/new-for-builtins': string;
    'unicorn/no-abusive-eslint-disable': string;
    'unicorn/no-array-callback-reference': string;
    'unicorn/no-array-method-this-argument': string;
    'unicorn/no-array-push-push': string;
    'unicorn/no-await-expression-member': string;
    'unicorn/no-console-spaces': string;
    'unicorn/no-document-cookie': string;
    'unicorn/no-empty-file': string;
    'unicorn/no-for-loop': string;
    'unicorn/no-hex-escape': string;
    'unicorn/no-instanceof-array': string;
    'unicorn/no-invalid-remove-event-listener': string;
    'unicorn/no-lonely-if': string;
    'unicorn/no-negated-condition': string;
    'unicorn/no-nested-ternary': string;
    'unicorn/no-new-array': string;
    'unicorn/no-new-buffer': string;
    'unicorn/no-null': string;
    'unicorn/no-object-as-default-parameter': string;
    'unicorn/no-process-exit': string;
    'unicorn/no-static-only-class': string;
    'unicorn/no-thenable': string;
    'unicorn/no-this-assignment': string;
    'unicorn/no-typeof-undefined': string;
    'unicorn/no-unnecessary-await': string;
    'unicorn/no-unreadable-array-destructuring': string;
    'unicorn/no-unreadable-iife': string;
    'unicorn/no-unused-properties': string;
    'unicorn/no-useless-fallback-in-spread': string;
    'unicorn/no-useless-length-check': string;
    'unicorn/no-useless-promise-resolve-reject': string;
    'unicorn/no-useless-spread': string;
    'unicorn/no-useless-switch-case': string;
    'unicorn/no-useless-undefined': string;
    'unicorn/no-zero-fractions': string;
    'unicorn/number-literal-case': string;
    'unicorn/numeric-separators-style': string;
    'unicorn/prefer-add-event-listener': string;
    'unicorn/prefer-array-find': (string | {
        checkFromLast: boolean;
    })[];
    'unicorn/prefer-array-flat-map': string;
    'unicorn/prefer-array-index-of': string;
    'unicorn/prefer-array-some': string;
    'unicorn/prefer-at': string;
    'unicorn/prefer-blob-reading-methods': string;
    'unicorn/prefer-code-point': string;
    'unicorn/prefer-date-now': string;
    'unicorn/prefer-default-parameters': string;
    'unicorn/prefer-dom-node-append': string;
    'unicorn/prefer-dom-node-dataset': string;
    'unicorn/prefer-dom-node-remove': string;
    'unicorn/prefer-dom-node-text-content': string;
    'unicorn/prefer-event-target': string;
    'unicorn/prefer-export-from': (string | {
        ignoreUsedVariables: boolean;
    })[];
    'unicorn/prefer-includes': string;
    'unicorn/prefer-json-parse-buffer': string;
    'unicorn/prefer-keyboard-event-key': string;
    'unicorn/prefer-logical-operator-over-ternary': string;
    'unicorn/prefer-math-trunc': string;
    'unicorn/prefer-modern-dom-apis': string;
    'unicorn/prefer-modern-math-apis': string;
    'unicorn/prefer-native-coercion-functions': string;
    'unicorn/prefer-negative-index': string;
    'unicorn/prefer-node-protocol': string;
    'unicorn/prefer-number-properties': string;
    'unicorn/prefer-object-from-entries': (string | {
        functions: string[];
    })[];
    'unicorn/prefer-optional-catch-binding': string;
    'unicorn/prefer-prototype-methods': string;
    'unicorn/prefer-query-selector': string;
    'unicorn/prefer-reflect-apply': string;
    'unicorn/prefer-regexp-test': string;
    'unicorn/prefer-set-size': string;
    'unicorn/prefer-spread': string;
    'unicorn/prefer-string-replace-all': string;
    'unicorn/prefer-string-slice': string;
    'unicorn/prefer-string-starts-ends-with': string;
    'unicorn/prefer-string-trim-start-end': string;
    'unicorn/prefer-switch': string;
    'unicorn/prefer-ternary': string;
    'unicorn/prefer-top-level-await': string;
    'unicorn/prefer-type-error': string;
    'unicorn/prevent-abbreviations': (string | {
        allowList: {
            args: boolean;
            ctx: boolean;
            props: boolean;
            Props: boolean;
            req: boolean;
            res: boolean;
        };
        checkShorthandProperties: boolean;
        ignore: string[];
    })[];
    'unicorn/relative-url-style': string;
    'unicorn/require-array-join-separator': string;
    'unicorn/require-number-to-fixed-digits-argument': string;
    'unicorn/require-post-message-target-origin': string;
    'unicorn/string-content': string;
    'unicorn/switch-case-braces': string;
    'unicorn/template-indent': string;
    'unicorn/text-encoding-identifier-case': string;
    'unicorn/throw-new-error': string;
};
export { unicornGeneralRule };
