"use strict";
const etc_1 = require("./module/typescript/etc/etc");
const typescript_best_practice_1 = require("./module/typescript/rule/typescript_best_practice");
const typescript_disabled_rule_1 = require("./module/typescript/rule/typescript_disabled_rule");
const typescript_overrides_1 = require("./module/typescript/rule/typescript_overrides");
const typescript_style_1 = require("./module/typescript/rule/typescript_style");
const typescript = {
    overrides: [...typescript_overrides_1.typescriptOverrides],
    parser: '@typescript-eslint/parser',
    parserOptions: {
        project: [
            './tsconfig.json'
        ]
    },
    plugins: [
        '@typescript-eslint', ...etc_1.etc.plugins
    ],
    rules: {
        ...typescript_disabled_rule_1.typescriptDisabledRule,
        ...typescript_style_1.typescriptStyle,
        ...typescript_best_practice_1.typescriptBestPractice
    },
    settings: {
        'import/extensions': ['.js',
            '.mjs',
            '.jsx',
            '.ts',
            '.tsx',
            '.d.ts'],
        'import/external-module-folders': ['node_modules', 'node_modules/@types'],
        'import/parsers': {
            '@typescript-eslint/parser': ['.ts', '.tsx', '.d.ts']
        },
        'import/resolver': {
            node: {
                extensions: ['.mjs',
                    '.js',
                    '.json',
                    '.ts',
                    '.d.ts'],
                tryExtensions: [
                    '.mjs',
                    '.cjs',
                    '.js',
                    '.json',
                    '.node',
                    '.mts',
                    '.cts',
                    '.ts',
                    '.d.ts'
                ]
            }
        }
    }
};
module.exports = typescript;
//# sourceMappingURL=typescript.js.map